<!-- FILE IS AUTOGENERATED. Please edit S3Options class jsdoc in the packages/electron-builder/src/targets/nsis/nsisOptions.ts -->

<!-- do not edit. start of generated block -->
<ul>
<li>
<p><code id="NsisOptions-oneClick">oneClick</code> = <code>true</code> Boolean - Whether to create one-click installer or assisted.</p>
</li>
<li>
<p><code id="NsisOptions-perMachine">perMachine</code> = <code>false</code> Boolean - Whether to show install mode installer page (choice per-machine or per-user) for assisted installer. Or whether installation always per all users (per-machine).</p>
<p>If <code>oneClick</code> is <code>true</code> (default): Whether to install per all users (per-machine).</p>
<p>If <code>oneClick</code> is <code>false</code> and <code>perMachine</code> is <code>true</code>: no install mode installer page, always install per-machine.</p>
<p>If <code>oneClick</code> is <code>false</code> and <code>perMachine</code> is <code>false</code> (default): install mode installer page.</p>
</li>
<li>
<p><code id="NsisOptions-allowElevation">allowElevation</code> = <code>true</code> Boolean - <em>assisted installer only.</em> Allow requesting for elevation. If false, user will have to restart installer with elevated permissions.</p>
</li>
<li>
<p><code id="NsisOptions-allowToChangeInstallationDirectory">allowToChangeInstallationDirectory</code> = <code>false</code> Boolean - <em>assisted installer only.</em> Whether to allow user to change installation directory.</p>
</li>
</ul>
<hr>
<ul>
<li><code id="NsisOptions-installerIcon">installerIcon</code> String | “undefined” - The path to installer icon, relative to the <a href="/configuration/configuration#MetadataDirectories-buildResources">build resources</a> or to the project directory. Defaults to <code>build/installerIcon.ico</code> or application icon.</li>
<li><code id="NsisOptions-uninstallerIcon">uninstallerIcon</code> String | “undefined” - The path to uninstaller icon, relative to the <a href="/configuration/configuration#MetadataDirectories-buildResources">build resources</a> or to the project directory. Defaults to <code>build/uninstallerIcon.ico</code> or application icon.</li>
<li><code id="NsisOptions-installerHeader">installerHeader</code> = <code>build/installerHeader.bmp</code> String | “undefined” - <em>assisted installer only.</em> <code>MUI_HEADERIMAGE</code>, relative to the <a href="/configuration/configuration#MetadataDirectories-buildResources">build resources</a> or to the project directory.</li>
<li><code id="NsisOptions-installerHeaderIcon">installerHeaderIcon</code> String | “undefined” - <em>one-click installer only.</em> The path to header icon (above the progress bar), relative to the <a href="/configuration/configuration#MetadataDirectories-buildResources">build resources</a> or to the project directory. Defaults to <code>build/installerHeaderIcon.ico</code> or application icon.</li>
<li><code id="NsisOptions-installerSidebar">installerSidebar</code> String | “undefined” - <em>assisted installer only.</em> <code>MUI_WELCOMEFINISHPAGE_BITMAP</code>, relative to the <a href="/configuration/configuration#MetadataDirectories-buildResources">build resources</a> or to the project directory. Defaults to <code>build/installerSidebar.bmp</code> or <code>${NSISDIR}\\Contrib\\Graphics\\Wizard\\nsis3-metro.bmp</code>. Image size 164 × 314 pixels.</li>
<li><code id="NsisOptions-uninstallerSidebar">uninstallerSidebar</code> String | “undefined” - <em>assisted installer only.</em> <code>MUI_UNWELCOMEFINISHPAGE_BITMAP</code>, relative to the <a href="/configuration/configuration#MetadataDirectories-buildResources">build resources</a> or to the project directory. Defaults to <code>installerSidebar</code> option or <code>build/uninstallerSidebar.bmp</code> or <code>build/installerSidebar.bmp</code> or <code>${NSISDIR}\\Contrib\\Graphics\\Wizard\\nsis3-metro.bmp</code></li>
<li><code id="NsisOptions-uninstallDisplayName">uninstallDisplayName</code> = <code>${productName} ${version}</code> String - The uninstaller display name in the control panel.</li>
</ul>
<hr>
<ul>
<li>
<p><code id="NsisOptions-include">include</code> String | “undefined” - The path to NSIS include script to customize installer. Defaults to <code>build/installer.nsh</code>. See <a href="#custom-nsis-script">Custom NSIS script</a>.</p>
</li>
<li>
<p><code id="NsisOptions-script">script</code> String | “undefined” - The path to NSIS script to customize installer. Defaults to <code>build/installer.nsi</code>. See <a href="#custom-nsis-script">Custom NSIS script</a>.</p>
</li>
<li>
<p><code id="NsisOptions-license">license</code> String | “undefined” - The path to EULA license file. Defaults to <code>license.txt</code> or <code>eula.txt</code> (or uppercase variants). In addition to <code>txt, </code>rtf<code>and</code>html<code>supported (don't forget to use</code>target=&quot;_blank&quot;` for links).</p>
<p>Multiple license files in different languages are supported — use lang postfix (e.g. <code>_de</code>, <code>_ru</code>)). For example, create files <code>license_de.txt</code> and <code>license_en.txt</code> in the build resources. If OS language is german, <code>license_de.txt</code> will be displayed. See map of <a href="https://github.com/meikidd/iso-639-1/blob/master/src/data.js">language code to name</a>.</p>
<p>Appropriate license file will be selected by user OS language.</p>
</li>
<li>
<p><code id="NsisOptions-artifactName">artifactName</code> String | “undefined” - The <a href="/configuration/configuration#artifact-file-name-template">artifact file name template</a>. Defaults to <code>${productName} Setup ${version}.${ext}</code>.</p>
</li>
<li>
<p><code id="NsisOptions-deleteAppDataOnUninstall">deleteAppDataOnUninstall</code> = <code>false</code> Boolean - <em>one-click installer only.</em> Whether to delete app data on uninstall.</p>
</li>
</ul>
<hr>
<ul>
<li><code id="NsisOptions-displayLanguageSelector">displayLanguageSelector</code> = <code>false</code> Boolean - Whether to display a language selection dialog. Not recommended (by default will be detected using OS language).</li>
<li><code id="NsisOptions-installerLanguages">installerLanguages</code> Array&lt;String&gt; | String | “undefined” - The installer languages (e.g. <code>en_US</code>, <code>de_DE</code>). Change only if you understand what do you do and for what.</li>
<li><code id="NsisOptions-language">language</code> String | “undefined” - <a href="https://msdn.microsoft.com/en-au/goglobal/bb964664.aspx">LCID Dec</a>, defaults to <code>1033</code>(<code>English - United States</code>).</li>
<li><code id="NsisOptions-multiLanguageInstaller">multiLanguageInstaller</code> Boolean - Whether to create multi-language installer. Defaults to <code>unicode</code> option value.</li>
<li><code id="NsisOptions-packElevateHelper">packElevateHelper</code> = <code>true</code> Boolean - Whether to pack the elevate executable (required for electron-updater if per-machine installer used or can be used in the future). Ignored if <code>perMachine</code> is set to <code>true</code>.</li>
<li><code id="NsisOptions-preCompressedFileExtensions">preCompressedFileExtensions</code> = <code>[&quot;.avi&quot;, &quot;.mov&quot;, &quot;.m4v&quot;, &quot;.mp4&quot;, &quot;.m4p&quot;, &quot;.qt&quot;, &quot;.mkv&quot;, &quot;.webm&quot;, &quot;.vmdk&quot;]</code> Array&lt;String&gt; | String | “undefined” - The file extension of files that will be not compressed. Applicable only for <code>extraResources</code> and <code>extraFiles</code> files.</li>
<li><code id="NsisOptions-unicode">unicode</code> = <code>true</code> Boolean - Whether to create <a href="http://nsis.sourceforge.net/Docs/Chapter1.html#intro-unicode">Unicode installer</a>.</li>
<li><code id="NsisOptions-guid">guid</code> String | “undefined” - See <a href="../configuration/nsis#guid-vs-application-name">GUID vs Application Name</a>.</li>
<li><code id="NsisOptions-warningsAsErrors">warningsAsErrors</code> = <code>true</code> Boolean - If <code>warningsAsErrors</code> is <code>true</code> (default): NSIS will treat warnings as errors. If <code>warningsAsErrors</code> is <code>false</code>: NSIS will allow warnings.</li>
<li><code id="NsisOptions-customNsisBinary">customNsisBinary</code> module:app-builder-lib/out/targets/nsis/nsisOptions.CustomNsisBinary | “undefined” - Allows you to provide your own <code>makensis</code>, such as one with support for debug logging via LogSet and LogText. (Logging also requires option <code>debugLogging = true</code>)</li>
<li><code id="NsisOptions-runAfterFinish">runAfterFinish</code> = <code>true</code> Boolean - Whether to run the installed application after finish. For assisted installer corresponding checkbox will be removed.</li>
</ul>
<hr>
<ul>
<li><code id="NsisOptions-createDesktopShortcut">createDesktopShortcut</code> = <code>true</code> Boolean | “always” - Whether to create desktop shortcut. Set to <code>always</code> if to recreate also on reinstall (even if removed by user).</li>
<li><code id="NsisOptions-createStartMenuShortcut">createStartMenuShortcut</code> = <code>true</code> Boolean - Whether to create start menu shortcut.</li>
<li><code id="NsisOptions-menuCategory">menuCategory</code> = <code>false</code> Boolean | String - Whether to create submenu for start menu shortcut and program files directory. If <code>true</code>, company name will be used. Or string value.</li>
<li><code id="NsisOptions-shortcutName">shortcutName</code> String | “undefined” - The name that will be used for all shortcuts. Defaults to the application name.</li>
</ul>

<!-- end of generated block -->
